summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRoman Perepelitsa <roman.perepelitsa@gmail.com>2022-01-25 16:32:01 +0300
committerRoman Perepelitsa <roman.perepelitsa@gmail.com>2022-01-25 16:32:01 +0300
commit6c71862c5f9824dc92273fbe1d0dd0c37210f2af (patch)
tree73f347683325e86f5998783f5a6b09d38bee7738
parent9e0ef918db426ba7749e56e9a8ba3308c2f00c60 (diff)
don't set OS, DEFAULT_COLOR and DEFAULT_COLOR_INVERTED
See #1735.
-rw-r--r--internal/p10k.zsh7
1 files changed, 1 insertions, 6 deletions
diff --git a/internal/p10k.zsh b/internal/p10k.zsh
index 51bcd3da..9d60963c 100644
--- a/internal/p10k.zsh
+++ b/internal/p10k.zsh
@@ -6441,7 +6441,7 @@ function _p9k_dump_state() {
unset __p9k_cached_param_pat __p9k_cached_param_sig
(( $+_p9k_preinit )) && { print -r -- $_p9k_preinit >&$fd || return }
print -r -- '_p9k_restore_state_impl() {' >&$fd || return
- typeset -pm '_POWERLEVEL9K_*|_p9k_[^_]*|icons|OS|DEFAULT_COLOR|DEFAULT_COLOR_INVERTED' >&$fd || return
+ typeset -pm '_POWERLEVEL9K_*|_p9k_[^_]*|icons' >&$fd || return
print -r -- '}' >&$fd || return
} always {
exec {fd}>&-
@@ -8401,11 +8401,6 @@ function _p9k_init_cacheable() {
_p9k_color2=7
fi
- # Someone might be using these.
- typeset -g OS=$_p9k_os
- typeset -g DEFAULT_COLOR=$_p9k_color1
- typeset -g DEFAULT_COLOR_INVERTED=$_p9k_color2
-
_p9k_battery_states=(
'LOW' 'red'
'CHARGING' 'yellow'